#!/usr/bin/env sh

LOCKFILE=lockfile
if [ -f $LOCKFILE ]; then
  echo 'calculate script is already running.'>&2
  exit 1
fi
ln -s $0 ${LOCKFILE} 2> /dev/null || exit 1

. venv/bin/activate

if [ ! -e kuku.npy ]; then
  # kuku.npy が存在しないときだけ実行
  python src/make_kuku.py -o kuku.npy
else
  echo 'kuku.npy already exists'
fi
if [ -e kuku.npy ] && [ ! double_kuku.npy -nt kuku.npy  ]; then
  # kuku.npy が存在し、kuku.npy よりも新しい double_kuku.npy が存在しないときだけ実行
  python src/calculate_double.py -i kuku.npy -o double_kuku.npy
else
  echo 'double_kuku.npy already exists'
fi
if [ -e double_kuku.npy ] && [ ! sum_result.txt -nt double_kuku.npy ]; then
  # double_kuku.npy が存在し、double_kuku.npy よりも新しい sum_result.txt が存在しないときだけ実行
  python src/calculate_sum.py  -i double_kuku.npy -o sum_result.txt
else
  echo 'sum_result.npy already exists'
fi

rm -rf $LOCKFILE